HISTORY file for `gcal'.


Incomplete history (dates and events from my brain):

v2.40   19970625 Polish translation by Wojciech Marek Galazka.
                 Added `doc/calendar.faq' file (C)opyright 1997 by
                   Claus Tondering <c-t@pip.dknet.dk>, thanks Claus.
                 Internationalized the `ARG' text which is used in help pages.
                 Added six new `%?' "special texts without any argument" for
                   conditionally highlighting of text (%5 , %6 ... %9 and %0).
                 Fixed date modifier [U] (== `--suppress-date-part') added.
                 Removed the `-m ADDRESS' short-style option for sending eMails.
                 Fixed a memory allocation bug that occured while resizing
                   the internal string buffers in some cases.
                 The `--biorhythm-axis=NUMBER' option can be used now for
                   setting the width of a `%;[DATE]' biorhythm text graphics
                   (NUMBER within the range of 1...100, the default width of
                   a single axis is 20 characters).
                 Added two new `%?[DATE]' "special texts with date argument"
                   for displaying the biorhythm cycle (%, and %;).
                 The `--moonimage-lines=NUMBER' option can be used now for
                   setting the number of lines of a `%:[DATE]' moonphase text
                   graphics (NUMBER within the range of 6...30, the default
                   height of the image are 12 lines).
                 Updated to GNU `gettext' version 0.10.27.
                 Swedish translation by Johan Linde.
                 Improved signal handling.
                 The `--here=LINE' option (== `-# LINE') can be used now for
                   defining resource file lines, which are additionally
                   processed at last in each resource file processing cycle.
                 Added three new `%?[DATE]' "special texts with date argument"
                   for displaying the moonphase approximately (%- , %_ and %:).
                 Increased the version number to 2.40, because version 2.30
                   was an inofficial beta testing release.

v2.30   19970102 Changed layout of the texts which are emitted by the `--help',
                   `license' and `--version' option.
                 The `--orthodox-calendar' option (== `-O') can be used now
                   for calculating the leap years as done by the Eastern
                   orthodox churches.
                 Corrected the fixed date feature for that year in which
                   the Gregorian Reformation have occured.
                 The burned-in Gregorian Reformation period 18-28 Feb 1753
                   (`--gregorian-reform=1753') is new.
                 The burned-in Gregorian Reformation period 19-28 Feb 1700
                   (`--gregorian-reform=1700') is new.
                 Added `data/GREG-REFORM' file.
                 Updated `intl/*' to a patched GNU `gettext' version 0.10.26.
                 Increased the version number to 2.30, because version 2.20
                   was an inofficial beta testing release.

v2.20   19961204 Dutch translation by Erick Branderhorst.
                 French translation by Michel Robitaille.
                 The MAILPROG environment variable can be used now for
                   specifying the program which is used as the mailer.
                 The new `--cc-holidays=CC[+CC+...]' option now allows
                   to select the country specific holidays which are part
                   of the eternal holiday list.  Already supported country
                   specific holidays are:
                     CC   Country
                     --   -------
                     at   Austrian holidays
                     au   Australian holidays
                     be   Belgian holidays
                     ca   Canadian holidays
                     ch   Swiss holidays
                     cz   Czech holidays
                     de   German holidays
                     dk   Danish holidays
                     es   Spanish holidays
                     fi   Finnish holidays
                     fr   French holidays
                     gb   British holidays
                     gr   Greek holidays
                     hu   Hungarian holidays
                     it   Italian holidays
                     mx   Mexican holidays
                     nl   Dutch holidays
                     no   Norwegian holidays
                     pl   Polish holidays
                     pt   Portuguese holidays
                     se   Swedish holidays
                     si   Slovenian holidays
                     th   Thai holidays
                     us   U.S. American holidays
                 Removed the `--de-holidays' and `--us-holidays' options.
                 The `--without-standard-holidays' option disables all
                   "standard" holidays.
                 `doc/*/texi/gcal.texi' files conforming to GNU `Texinfo 3.8'.
                 Fixed date modifier [Z] (== `--zero-dates-only') added.
                 The `--filter-period=ARG' option (== `-P ARG') can be used now
                   for displaying only those fixed dates which are matched by
                   the ARG.  ARG is one or more of the `%?[DATE]' "special
                   texts with date argument" (without a leading '%' character
                   and connected by a `,' character) used for date exclusion,
                   means "inclusive/exclusive date period".
                 The `--filter-day=ARG' option (== `-D ARG') can be used now
                   for displaying only those fixed dates which are matched by
                   the ARG.  ARG is one or more of the `%?' "special texts
                   without argument" (without a leading '%' character) used
                   for date exclusion, means "inclusive/exclusive day period".
                 Fixed date modifier [B] (== `--bypass-shell-command') added.
                 Created the `gcal2txt' documentation.
                 The `gcal2txt.c' file, which creates a verbatim text file
                   from a Gcal resource file is part of distribution now.
                 Error message #104 (invalid REGEX search pattern) is new.
                 The `--filter-text=PATTERN' option (== `-I PATTERN')) can be
                   used now for displaying only those fixed dates which are
                   matched by the regular expression search pattern.
                 A `^' character given in the "text"-part of a resource file
                   line creates a real `\n' newline character (similar `~'
                   character), except the fact that text breaked up by it
                   isn't provided implicitly with leading blanks.
                 Most files in `systems/os2' are rewritten by
                   Kai Uwe Rommel <rommel@ars.de>.
                 Created AWK/Perl scripts for converting all `%?'... special
                   texts of former Gcal versions into their "new" style.
                 A bunch of new special texts (the `%?'... things) implemented,
                   which can be used in the text part of a resource file line.
                 Outsourced the C function `insert_line_into_table()' of file
                   `rc-check.c' into the new file `rc-insert.c' and respected
                   this in all Makefile targets touched by this.
                 Increased the version number to 2.20, because version 2.11
                   was an inofficial beta testing release.

v2.11   19960823 Option `-K' respectively `--with-week-number' now
                   provides the calendar sheets with ISO week numbers.
                 The date variable `t' (yyyy@e|t|dvar[+|-]N[`www']) references
                   the actual date now and has a special meaning therefore
                   (likewise `e').
                 Supports `libncurses.a' now.
                 Improved my private `install-info' shell script a bit.
                 Removed the '\015' characters at the end of each line in
                   the file `src/rc-check.c' (former `src/gcal-rcc.c').
                 Renamed most files in the `src/' directory.
                 A few changes in the Texinfo documentation.
                 Portability fixes and tiny optimizations in some of
                   the `gcal' sources.

v2.10   19960716 Rewrote the `tcal-sh' shell script as a C program.
                 Several long-style options implemented like --today,
                   --tomorrow, --week, --end-of-week, start-of-week,
                   --month, --end-of-month, --start-of-month, --year,
                   --end-of-year and --start-of-year, which are ALIAS
                   names of the according modifiers of the -c|C[]
                   short-style option.
                 The German `.info' and `.txt' files likewise the German
                   message catalog `de.po' are conforming the ISO-8859-1
                   character set now.
                 My private `install-info' shell script now respects that
                   `infodir', which is explicitly set during the configuration
                   step by the installer.
                 Re-formatted the BUGS, INSTALL, LIMITATIONS, README, SYMBOLS,
                   THANKS, TODO, data/README and systems/README files.
                 The new %z and %Z directive of --date-format=PRESET_VALUE|ARG
                   option now allows to display the last two digits of a year.
                 Updated to GNU `gettext' version 0.10.23.

v2.01   19960617 The --version option informs about the compiler/OS used and
                   the date of compilation now.  See `THANKS' for more details.
                 Added %k[yyyy[mm[dd|`www'[<n>]]]] macro, which is replaced by
                   the ISO-week number of the current/specified date in the
                   text part of a resource file line.
                 Added %o[yyyy[mm[dd|`www'[<n>]]]] macro, which is replaced by
                   the complete textual weekday name of the current/specified
                   date in the text part of a resource file line.
                 Fixed a bug in writing response/shell script files, which
                   occured if a "MM YYYY-YYYY" command must be written.
                 Removed the lib/ directory and all references to it, because
                   GNU `gettext' doesn't need it any longer for creating a
                   libintl.a library, which is local to the package.
                 Updated to GNU `gettext' version 0.10.14.
                 A "text-part" of a resource file line may be provided now
                   with leading whitespace characters if the first of these
                   leading whitespace characters is quoted.
                 Replaced all #elif C Preprocessor directives by
                   #else...#if... cascades.
                 More representations of the German `Umlaute' characters
                   for several machines/character sets received by
                   Bruno Haible <haible@ilog.fr>... thx Bruno:)
                 C Preprocessor symbol USE_EASC reimplemented, which can
                   be enabled during configuration step.
                 Fixed a bug that causes an infinite program loop in case
                   a range of days was given in a resource file and a
                   displacement factor of a range component was outside
                   the year bounds like `1996@e#-40sun'.
                 Fixed a bug which occured if the table of command line
                   arguments (`my_argv[]') was resized during processing
                   of response files.
                 `const char *usage_msg()' prototype changed to
                   `char *usage_msg()'.
                 Performed a few changes in the Texinfo documentation
                   (corrected xref's).

v2.00   19960516 Created shell script file (-S ARG) now embraces all arguments
                   passed to `gcal'  with  '  characters instead of  "
                   characters. 
                 Renamed --export-local-date-variables long-style option to
                   --export-date-variables.
                 The new --export-text-variables option now allows to
                   export local text variables from file to file.
                 The new --text-variable=ARG option (resp., -r ARG) now allows
                   the definition of global text variables.
                 Error message #105 (invalid text variable definition) is new.
                 Implemented the use of global and local text variables
                   (`tvar'->$a...$z), which can be set to ordinary text, %...
                   macros and references to other text variables and are
                   expanded resp., respected everywhere in a resource file
                   line if referenced there.
                 Removed the --assign=ARG long-style option.
                 Eliminated a bug in `gcal_rcc.c', which occured if
                   string resizing was performed and more than one whitespace
                   character was used for separating the "date-part" and the
                   "text-part" of a line.
                 New command implemented:  mm/jjjj-jjjj  or  mm jjjj-jjjj
                   which displays a range of a selected month
                   of specified years.
                 Documentation for `txt2gcal' and `tcal' created.
                 Gcal package internationalized by means of the
                   GNU gettext package (German message catalogs).
                 Reorganized package structure.
                 Changed symbol/environment variable GCAL_USR_LIBDIR to
                   GCAL_USR_DATADIR and GCAL_SYS_LIBDIR to GCAL_USR_DATADIR.
                 Changed default file name for GCAL_USR_LIBDIR from
                   "$HOME/lib/gcal-lib" to "$HOME/share/gcal" and for
                   GCAL_SYS_LIBDIR from "/usr/lib/gcal-lib"
                   to "/usr/local/share/gcal".
                 Renamed `gcal_cfg.hin' to standard `config.hin'.
                 Fixed a bug in the `tcal' shell script (months July and
                   August were not managed correctly).
                 Some new date variable assignments/operations implemented:
                   dvar=dvar[+|-]N      --> Assignment of a date variable
                                              `dvar', advanced by plus/minus
                                              N days.
                   dvar=dvar[+|-]N`www' --> Assignment of a date variable
                                              `dvar', advanced by plus/minus
                                              N weekdays `www'.
                   dvar+=N`www'         --> Addition of N weekdays `www'.
                   dvar-=N`www'         --> Subtraction of N weekdays `www'.
                 An underscore ('_') character which is used in option
                   arguments is converted to a real blank/space (' ')
                   character now unless it's quoted like '\_'.
                 The (pre)selected/defined "date format" is used now to
                   set the attributes in calendar sheets.
                 The new GCAL_DATE_FORMAT environment variable can be used
                   to preset the date format, which is used to order a
                   displayed date.
                 The new --date-format=PRESET_VALUE|ARG option now allows
                   flexible ordering of a displayed date.
                 The contents of the GCALPATH environment variable will
                   be used now on all systems for searching resource and
                   response files.
                 A highlighting management bug fixed which occured if the
                   -j option and the -jc[b] options are both given and
                   highlighting must performed for holidays.
                 New GNU long-style option mode implemented, which either
                   allows the selection of a SPECIAL option argument or of
                   a GIVEN option argument (see --gregorian-reform=YEAR|ARG,
                   where ARG is a user defined Gregrorian Reformation date
                   yyyy,mm,dd,dd).
                 The `txt2gcal.c' file, which creates a verbatim Gcal resource
                   file from a text file is part of distribution now.
                 The contents of the TZ (timezone) environment variable is
                   displayed now in the header part of created response files,
                   shell script files and outgoing Emails.
                 Serious bug in management of Termcap padding eliminated.
                 Small bug eliminated, which occured if %... text macros
                   were quoted.
                 The central `print_text()' function works a bit faster now.
                 Changed the file searching mechanism with the effect, that
                   files are no longer searched in the actual directory
                   (sure, this can be forced by e.g.:  `-f foo+./bar+./baz').
                 Revised "eternal holiday" list.
                 Implemented the new run-time option --de-holidays,
                   which provides the eternal holiday list with additional
                   German holidays.
                 The C Preprocessor symbols USE_CATH, USE_USHDY, EXIT_STAT_HLP,
                   GREG_1582 and GREG_1752, which were selectable during the
                   (Auto)configuration step, are made to run-time options of
                   Gcal now (--christian-holidays, --us-holidays,
                   --exit-status-help-127, --gregorian-reform=YEAR).
                 The C Preprocessor symbol DEBUG, which was selectable
                   during the (Auto)configuration step, is eliminated
                   and thus default now.

v1.01   19960320 My private `install-info' shell script is part of the
                   distribution now.
                 Rejected my specific copyright conditions, because these
                   contradict the terms of the GPL.
                 Some small bugfixes
                   (the header file <sys/types.h> wasn't included properly)
                   (several NON-ANSI function prototypes were buggy)
                   (the German time separating character `.' wasn't respected).

v1.00   19960309 Table sizes of all STRINGS are managed dynamically now.
                 Specific copyright conditions are part of Gcal now,
                   see the file COPYING2 for more information.
                 The option `--starting-day=0' can now be specified as
                   `--starting-day=today' respectively `-s today', too.
                 The German program version now accepts the English day and
                   month names if no appropriate German names are given.
                 Added %1, %2, %3 and %4 macros for user defined
                   text highlighting in the text part of a resource file.
                 Unlimited nesting level of include files realized.
                 Implemented the use of an optional "repetition" factor and an
                   optional "appearance" factor, which can be added to the end
                   of a date part of fixed dates, which are given in a resource
                   file (`:' leads a repetition factor, `.' leads an appearance
                   factor):
                     yyyymmdd:N
                     yyyymmdd:N.N
                     yyyymmdd:N,[mm]dd:N.N ...
                     yyyymmdd#[mm]dd.N
                     yyyymmdd#[mm]`www'N.N
                     yyyymm`www'N:N
                     yyyymm`www'N:N.N
                     yyyymm`www'N:N,[mm]`www'N:N.N ...
                     yyyymm`www'N#[mm]`www'N.N
                     yyyymm`www'N#[mm]dd.N
                     yyyymm`www'#`www'.N
                   [ All the above codings are allowed with the
                     yyyy@e|dvar[+|-]N[`www'] and the yyyy*d|wN[`www']
                     date formats, too! ]
                 Implemented optional lists and ranges of days, which can be
                   added to the date part of fixed dates, which are given in
                   a resource file (`,' is the list separator character,
                   `#' the range separator character):
                     yyyymmdd|`www'|`www'N,[mm]dd|[mm]`www'|[mm]`www'N ...
                     yyyymm`www'#`www'
                     yyyymm`www'N#[mm]`www'N
                     yyyymmdd#[mm]`www'N
                     yyyymm`www'N#[mm]dd
                     yyyy*d|wN|N`www',N|N`www' ...
                     yyyy*d|wN#N`www'
                     yyyy*d|wN`www'#N
                     yyyy*d|wN`www'#N`www'
                     yyyy@e|dvar,|[+|-]N[`www'],[+|-]N[`www'],[+|-]N[`www'],[+|-]N[`www'] ...
                     yyyy@e|dvar[+|-]N[`www']#[+|-]N[`www']
                 Gcal now checks for the existence of an external `pg' pager.
                 Put all help screens, the software license and
                   the version information into the new `gcal_hlp.c' file.
                 Renamed `gcal_cfg.h.in' to `gcal_cfg.hin'.
                 The subject for an outgoing Email is now created
                   via the `-s' option of the `mail' program.
                 Added %j[[-]N] macro (real Julian day number).
                 Changed the `week number of year' text.
                 A fixed date warning which results to a leap day (i.e. the
                   29'th February), is displayed at the 28'th February in
                   non-leap years if the option `--leap-day=february' is given
                   resp., at the 1'st March if the option `--leap-day=march'
                   is given.
                 Elimated a bug in `eval_longopt()' function which
                   occured if option `--usage=version' was given.
                 Splitted the `rc_check()' and the `rc_use()' functions.
                 The `--long-help=?' resp., `--usage=?' option now
                   prints a list of all valid long-style options.
                 Renamed `--hidden' option to `--export-local-date-variables'.
                 Alternative format of fixed date list (--alternative-format
                   resp., fixed date modifier [A]) implemented.
                 Table size of `month_list[]' is managed dynamically now.
                 Increased the version number to 1.00.

v0.39   19951220 Fixed some bugs in the C sources.
                 A positive displacement value for a date variable may
                   either be given `@dvar+N' or `@dvarN' now.

v0.38   19951213 Changed introduction text in `gcal-*.info*' files.
                 `configure' script creates definition file `gcal_cfg.h' now.
                 Corrected the buggy `Makefile' target "check".
                 Added environment variable GCALANSI, which must be defined
                   (not necessarily set) if ANSI escape highlighting sequences
                   should be substituted respectively emitted by default.
                 Redefined the "starting_day_of_week_option", which requires
                   an argument now (--starting-day=ARG respectively -s ARG,
                   and new ARG is 0 | 1|Mon|2|Tue|...|7|Sun).
                 Short-style options which require an argument can be given
                   now either in the `-Xfoo' or in the `-X foo' notation.
                 --exclude-holiday-list-title resp., -X option excludes
                   the title text of an eternal holiday list now.
                 Independant use of standard dates, Julian dates and both
                   standard- and Julian dates in calendar sheet (-j -jb),
                   eternal holiday list (-jn -jnb) and fixed date warning
                   list (-jc -jcb).
                 Now all internal tables are checked if they are presorted
                   to decide whether the `qsort()' function must be called.
                 Improved the speed of the file reading function.
                 Complete revision of -c|C[] modifier parsing.
                 -c|C<n> option eliminated.
                 -c|C[0]... for indicating a list eliminated, used
                   further modifier [l] --list-mode instead.
                 -c|Cmmwww<n>n is now -c|Cmmwww<n> without mode character 'n'.
                 Further fixed date modifiers added ([0] indicates
                   that a list instead of a single date is generated):
                   [0]*d1...365|366|999   (== *d<n>)
                     means absolute day <n> of year.
                   [0]*d1...52|53|99www   (== *d<n>www)
                     means <n>'th weekday www of year.
                   [0]*w0|1...52|53|99    (== *w<n>)
                     means Monday of <n>'th week of year.
                   [0]*w0|1...52|53|99www (== *w<n>www)
                     means weekday `www' of <n>'th week of year.
                 Date variables are able to manage the new date format now
                   (e.g. dvar=*d<n>[www]).
                 The %s..., %e..., %b... and %y... macros are able to
                   manage the new date format now (e.g. %syyyy*d<n>[www]).
                 Actual date modifier manages the new date formats now
                   (%yyyy*d<n>[ww] resp., %yyyy*w<n>[www]).
                 Included new date formats yyyy*d<n>[ww] and yyyy*w<n>[www]
                   for encoding fixed dates in a resource file.
                 Changed description text of `wn' to `www' (means short
                   weekday name consisting of two or three characters).
                 The number 99 encodes the last month mm of a year now.
                 The number 99 encodes the last day dd of a month now.
                 The number 999  encodes the last day of a year now.
                 Changed default behaviour of fixed date warning period
                   modifiers t, w+, m+ and y+ (the produced list doesn't
                   start today now).
                 Option --include-today resp., fixed date modifier
                   [d] is new.
                 Option --shell-script=ARG resp., -S<NAME> creates a shell
                   script for calling gcal with all given arguments of the
                   command line and GCAL environment variable (similar the
                   --response-file=ARG resp., -R<NAME> response file option).
                 Option `-H yes' added, which forces the output of
                   highlighting sequences if output is redirected/piped.
                 Option --highlighting=yes is the equivalence of -H yes.
                 Option --highlighting=no is the equivalence of -H no.
                 -q[1..4] short style option doesn't exist anymore
                   (changed to  --debug[=list_of_arguments]).
                 C Preprocessorsymbols USE_RC, USE_HLS and USE_PAGER
                   are default now!
                 Revised several long and short style options and
                   changed their option character resp., mnemonic name.
                 Revised documentation and help screens again.
                 Revised configure.in, Makefile.in, MANIFEST, README,
                   INSTALL, SYMBOLS and tcal.
                 Table size of a `*rc_table[]' and `*my_argv[]' are
                   allocated dynamically now.
                 Use of my_malloc() and my_realloc() functions returning
                   VOID_PTR in C source code now.
                 UN*X man pages are shortend.
                 Changed old FSF address to new address.

v0.37   19951011 More long options implemented.
                 Revised documentation.

v0.36   19950804 Bugfix for OS/2 systems:
                   gcal_tty.c:   function v_vio_init() obsolete.
                   makefile.emx: extended by USE_PAGER feature.
                 Several typos in man-pages and Texinfo files
                   corrected.
                 The German "Umlaute" are supported now in dvi
                   file of German Texinfo documentation.

v0.35   19950727 Official distributed version.
                 First version of Texinfo documentation created.

v0.34   19950708 External pager is respected now.
                 Another fiscal year command `:yyyy' added.
                 Two further special 3 month modes added:
                   command `.+':  actual and next two month
                                  of current year.
                   command `.-':  actual and previous two month
                                  of current year.
                 UN*X screen-size detection via ioctl() function.
                 Termcap padding realized.
                 Help screens updated.
                 Email option -m|M<Email address> included,
                   which sends gcal's output by mail(1) program to user.
                 Extension of actual date modifier:
                   %month name[dd], %weekday name[n], %dd.
                 Global suppress calendar sheet option -u added.
                 Renamed options: -f|F is -n|N now and vice versa.
                 Added further "eternal holiday list" option -F for
                   displaying legal days only.
                 Bug-fixes.
                 Actual date modifier %yyyy@<e|dvar>[[-]<n>[wn]] added.
                 Further fixed date modifiers added:
                   @dvar[[-]<n>]        (Display fixed date warnings of
                                         day <n> relative date variables
                                         date of actual year;
                                         warning level is same as -c).
                   0@dvar[[-]<n>]       (Display list of fixed date warnings,
                                         starting yesterday/tomorrow
                                         [depending on value given in <n>]
                                         and ending at <n>'th day relative
                                         date variables date of actual year;
                                         warning level is same as -cy).
                   @<e|dvar>[-]<n>wn    (Display fixed date warnings of
                                         <n>'th weekday `wn' relative Easter
                                         Sundays or date variables date of
                                         actual year;
                                         warning level is same as -c).
                   0@<e|dvar>[-]<n>wn   (Display list of fixed date warnings,
                                         starting yesterday/tomorrow
                                         [depending on value given in <n>]
                                         and ending at <n>'th weekday `wn'
                                         relative Easter Sundays or date
                                         variables date of actual year;
                                         warning level is same as -cy).
                 Some long options (--help --help-long --license --version)
                   added.
                 Error message #114 (invalid date variable operation),
                   #113 (referenced date variable undefined) and #112
                   (Invalid date value assigned to date variable) included.
                 Added further command line option for setting global
                   date variables (-v<dvar=mmdd:dvar=dvar2...>).
                 Implementation of simple global and local date variables
                   and some basic operations on them (dvar=mmdd, dvar=mmwn<n>,
                   dvar=dvar, dvar++, dvar--, dvar+=<n> and dvar-=<n>).
                 Calculation of eternal holidays from A.D.464...YEAR_MAX.
                 Further fixed date modifiers added:
                   <n>d          (Display fixed date warnings of
                                  absolute day <n> of actual year;
                                  warning level is same as -c).
                   0<n>d         (Display list of fixed date warnings,
                                  starting yesterday/tomorrow [depending
                                  on value given in <n>] and ending at
                                  <n>'th absolute day of actual year;
                                  warning level is same as -cy).
                   @e[[-]<n>]    (Display fixed date warnings of day <n>
                                  relative Easter Sunday date of actual year;
                                  warning level is same as -c).
                   0@e[[-]<n>]   (Display list of fixed date warnings,
                                  starting yesterday/tomorrow [depending
                                  on value given in <n>] and ending at
                                  <n>'th day relative Easter Sundays date of
                                  actual year;
                                  warning level is same as -cy).
                 Renamed C Preprocessor symbols:
                   CATHOLIC to USE_CATH, EXT_ASCII to USE_EASC,
                   GERMAN to USE_GER and US_HDY to USE_USHDY.
                 Further fixed date modifier [E] added which enables inclusion
                   of those eternal holiday dates, which are legal days only.
                 Added further command line option
                   -d<seq1_start:seq1_end:seq2_start:seq2_end>
                   for setting user defined highlighting sequence / marking
                   character pairs, which must be colon separated.
                 Replaced conditional compilation symbol ANSISYS by USE_HLS.
                 Error message #243 (can't write response file) included.
                 Response file write option -l<NAME> implemented.
                 Actual date modifier %yyyy[mm[dd|wn[n]]] resp.,
                   %yyyy@e[[-]<n>] added.
                 Standard date part of resource file line more flexible now
                   -> yyyy[mm[dd[n]]]<space>`text'
                 @... holiday coding of date part of resource file line added,
                   e.g.: yyyy@e-20 = date at Easter-20 days in year yyyy
                         0000@e20  = date at Easter+20 days every year
                 Further fixed date modifiers added:
                   <n>w         (Display fixed date warnings of week
                                 number <n> <0|1...52|53|99> of actual year;
                                 warning level is same as -cw).
                   0<n>w        (Display list of fixed date warnings,
                                 starting yesterday or tomorrow [depending
                                 on given week number <n>] and ending at
                                 first resp., last day of given week
                                 number <n> <0|1...52|53|99> of actual year;
                                 warning level is same as -cy).
                   `mmdd'<n>n   (Display fixed date warnings of <n>'th
                                 weekday `dd|wn' in month `mm' of actual
                                 year; warning level is same as -c).
                   0`mmdd'<n>n  (Display list of fixed date warnings,
                                 starting yesterday/tomorrow [depending on
                                 the value given in `mmdd'<n>] and ending
                                 at <n>'th weekday `dd|wn' of month `mm' of
                                 actual year; warning level is same as -cy).
                 Acorn Archimedes RISC/OS Makefile created.
                 Fixed date modifiers [k] (display ISO week numbers)
                   and [u] (suppress output of calendar sheet) added.
                 Two special 3 month modes added:
                   command `.':  previous, actual and next month
                                 of current year.
                   command `..':  actual quarter of current year.
                 Included error messages #245 (invalid `n'-field entry),
                   #244 (missing whitespace delimiter).
                 Extended %b..., %y..., %s... and %e... macros by the
                   "n'th weekday of month" field and the [yyyy] is
                   optional now (explicit year or 0000),
                   e.g.: %s[yyyy[mm[dd|wn[n]]]].
                 Extension of RC-file's date part by a "n'th weekday
                   of month" field.
                 Further exit code #1 implemented which occurs, if
                   activated `rc_use_flag' causes no output of
                   RC-file entries.
                 Increased the number of managed resource file entries
                   to 10000.
                 Further command line option for setting the warning level
                   (-q[1...4]) added.
                 #include statements in resource files are respected now.
                 Resource files are searched in `gcal's user library
                   directory GCAL_USR_LIBDIR and `gcal's system library
                   directory GCAL_SYS_LIBDIR, too.
                 Included error messages #248 (malformed #include),
                   #247 (invalid sub-#include) und #246 (file not found).
                 Conditional compilation symbol USE_PAGER controls, whether
                   a simple, internal pager is built-in.
                 Extended %syyyy[mm[dd]] and %eyyyy[mm[dd]] macros.
                 Added simple %d macro (day difference),
                       simple %w macro (week difference),
                       simple %m macro (month difference),
                       simple %y macro (year difference)
                       and the %n[[-]<n>] macro (effective date text).
                 Bug fixed in computation of "weekday_of_date()" which
                   occurred if the year to compute is greater 6100.
                 Extended time macro %t[12|24] (12 / 24 hour display) added.
                 RC-file %... items may be quoted by \%... now.
                 Used autoconf installation technology.
                 Amiga, Atari, Windows NT, OS/2, PRIMOS and VMS Makefiles
                   created.
                 Further fixed date modifier [z] added for showing
                   the consecutive number of a fixed date warning message.
                 A line of the resource file can be continued at next
                   line by a BACKSLASH-NEWLINE character sequence now.
                 Header file "gcal_tai.h" (target specific part) created.
                 Response file (@file) handling added.
                 MS-DOS DJGPP (DJ-GCC) Makefile created.
                 Some bugs corrected in UN*X-`man' pages.
                 Further fixed date modifier `simple' <n> for showing
                   the fixed date warnings of absolute day <n>
                   of actual year added; warning level is same as -c.
                 Extended help screen (-hh|-??) added.
                 Function usage_msg() replaced by C Preprocessor symbol USAGE_MSG.
                 German and English UN*X-`man' pages created.
                 Further fixed date modifiers added:
                   `mmdd'    (Display fixed date warnings of day `dd'
                              in month `mm' of actual year; warning level
                              is same as -c).
                   0`mmdd'   (Display list of fixed date warnings,
                              starting yesterday/tomorrow [depending on
                              the value given in `mmdd'] and ending
                              at day `dd' of month `mm' of actual year;
                              warning level is same as -cy).
                   <n><+|->  (Display fixed date warnings of day
                              `actual day +/- <n>[days]' of actual year;
                              warning level is same as -c).
                   0<n><+|-> (Display list of fixed date warnings,
                              starting yesterday[-] or tomorrow[+] and
                              ending at `actual day +/- <n>[days]' of actual
                              year; warning level is same as -cy).
                 Renamed environment variable `CAL' to `GCAL'.
                 Renamed `cal' to `gcal'!

v0.33   19941108 Alternative resource file (-n|N<NAME[+...]>) feature added.
                 Designed separate functions to display special texts:
                   usage_msg(), my_help(), my_version(), my_license().
                 MY_ISSPACE() replaces the "ctype.h" isspace() macro now.
                 NEWS, HISTORY, THANKS, TODO, README and INSTALL created.
                 Management of %t, %syyyy and %eyyyy items in RC-file.
                 Fixed date modifiers [a] (show RC-file name in warning)
                   and [x] (exclude title of fixed date list) added.
                 Starting day of week option [-s[]] without trailing
                   modifier sets starting day of week to actual weekday.
                 Function "jdate_to_sdate()", which converts a Julian date
                   to a standard date, added.
                 Display all dates of fixed date warning period feature
                   added (-C[] or -C[][T|W|M|Y] or -c[][T|W|M|Y] or -N<>)
                   (thanks to Stephan Forth).
                 Fixed date modifier for grouping [g[`txt']] added
                   (thanks to Stephan Forth).
                 Fixed date modifier added for omitting the date part of a
                   warning [o] in case more than one warning refers to that date.
                 Added quoting of `~'-TILDE character by `\~' resp., `\\~'.

v0.32   19940930 Split the main C-source file into two header files and
                   five C-files.
                 MS-DOS C-compiler Makefiles created (TCC, BCC, MSC, ZTC, WCC).
                 German "Tag der Deutschen Einheit" holiday respected
                   after 1953 and 1989 now.
                 Fiscal year mode ([mm:]yyyy) implemented.
                 Due to this: help screen updated.
                 `gcal' error/version/license prompt bug eliminated.
                 Added highlighting of eternal holiday list and fixed
                   some bugs in this function.
                 Merged the two functions "compare_dayname()" and
                   "compare_monthname()" to single function "compare_d_m_name ()".
                 Whole calendar output is managed by function "print_text()".
                 Very poor and simple internal pager (-p) implemented.
                 CAL environment variable for options is respected now.
                 (-i) international calendar format (similar BSD-cal) added.
                 function "my_error()" processes all common errors now.

v0.31   19940912 Symbol ISO_ASCII eliminated (now !EXT_ASCII).
                 Changed my signature.
                 Print year using %04d format always.
                 GNU coding-scheme implemented.
                 Several bug-fixes.

v0.30   19940909 Respected Julian flag for RC fixed dates/holiday list.
                 Julian option modifiers [bfc] (thanks to John T. Foley).
                 Modified help screen.
                 `~'-char in RC-file line is replaced by a "real" `\n'-NEWLINE char.

v0.29   19940905 Included copyright notice (gpl) and version.
                 U.S. holidays (US_HDAY).
                 Respected eternal holidays in case symbol USE_RC is defined.
                 Ascending/descending sort of holiday list/RC fixed dates.
                 Several bugs fixed (internal version).

v0.28   19940827 Management of %byyyy and %yyyyy items in RC-file.

v0.27   19940824 Help screen / holiday list modified (highlighting).

v0.26   19940819 Extended year-list / year-range mode implemented
                   (yyyy+yyyy   yyyy;...;yyyy).

v0.25   19940815 Extended month-list / month-range mode implemented
                   (mm[/yyyy]-mm[/yyyy]   mm[/yyyy],...,mm[/yyyy]).

v0.24   19940808 (quick)sorted output of RC-file lines implemented (internal version).

v0.23   19940803 Some conditional compilation statements (USE_RC) added (internal version).

v0.22   19940717 Resource file management (RC-file) implemented (internal version).

v0.21   19940712 Textual day/month names feature added.

v0.20   19940603 Variable starting day of week feature (-s1...7|day name) added.

v0.19   19931117 \
 ...              > Internal versions.
v0.01   19910923 /
